Ticket #3210 (closed enhancement: fixed)

Opened 8 years ago

Last modified 8 years ago

管理画面のPostgreSQL 8.3対応

Reported by: tietew Assigned to: tietew
Priority: minor Milestone: OpenPNE2.13.6
Component: pne-postgresql Version: 2.12.x & 2.14.x
Keywords: Cc:

Description (Last modified by kiwa)

■概要

管理画面内でデータ取り出し時にr_datetimeで文字の切り出し(substr)を行っているが、PostgreSQL8からは対応されない。この部分を修正して、PostgreSQL8以上のバージョンでも管理画面の機能が動作するようにしてほしい。

■仕様

#3242で既にsubstrで使うr_datetimeをtextにキャストすることで対応していたが、読みやすさを優先してsubstrをto_charに変更。PostgreSQL8.3に対応した。

■関連情報

元のDescription

PostgreSQL 8.3で動かなかった場所のパッチです。 今のところ、これ以外で動いていなさそうな場所は見つかっていません。 パッチは OpenPNE 2.12.6 ベースで作成しました。

PostgreSQL 8.2のリリースから二年、8.3からも半年以上経ちますので、そろっと対応を進めて欲しいです。

Attachments

db_admin.pgsql-analysis-sqlfix.patch (7.8 kB) - added by tietew on 12/10/08 15:51:09.

Change History

12/10/08 15:51:09 changed by tietew

  • attachment db_admin.pgsql-analysis-sqlfix.patch added.

12/25/08 19:16:01 changed by kiwa

  • milestone set to OpenPNE2.13.6.

ありがとうございます!是非取り込みたいのでMilestoneを開発版の次のバージョンにしておきました。

02/17/09 18:23:38 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.
  • summary changed from webapp/modules/admin/lib/db_admin.php patch for PostgreSQL 8.3+ to 管理画面のPostgreSQL 8.3対応.

取り込みます

02/17/09 19:00:31 changed by kiwa

  • keywords set to 確認中.
  • version changed from 2.12.x to 2.12.x & 2.13.x.
  • component changed from 指定しない to pne-postgresql.
  • description changed.

以下のリビジョンで対応しました。

既にr9726, r10177, r10178 でPostgreSQL8.3に対応していましたが、tietewさんの提供してくださったコードのほうが読みやすかったので独断でこちらを取り込ませていただきました。

2.12と2.13ではコードが変わっていたので、パッチは使用せずにdb_admin.php内のr_datetime::textになっているsubstrを総置換した形になっています。

異論などありましたらコメントお願いします。

02/24/09 16:19:28 changed by kiwa

r10842, r10843, r10844 にて、取り込み漏れの部分を修正しました

02/26/09 16:32:11 changed by kawahara

  • keywords changed from 確認中 to テスト待ち.

02/26/09 16:34:21 changed by kawahara

  • keywords changed from テスト待ち to 確認中.

ミスしました。

(follow-up: ↓ 8 ) 02/26/09 16:41:37 changed by kawahara

クエリーの文字列連結は下のように = と . を揃えるのが望ましいです。

$sql = "なんやら"
     . " かんやら";

ただし、今回の更新以外でも共通化していない部分が多く見受けられるので、対応は別でも構わないと思います。

(in reply to: ↑ 7 ) 02/26/09 16:47:25 changed by kiwa

Replying to kawahara:

今回の修正外の話ですし、この際他の場所も統一したいので別チケットで対応しましょう。

  • #3671: クエリーの文字列連結方法の統一

02/26/09 16:51:46 changed by kawahara

  • keywords changed from 確認中 to テスト待ち.

02/26/09 17:25:34 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

PostgreSQL7.4の環境がないため、今までの対応バージョンのDBで確認はできませんでしたが、PostgreSQL8.3環境での動作は問題ありませんでした。

02/26/09 19:01:13 changed by kiwa

  • status changed from closed to reopened.
  • resolution deleted.

owner変更のためreopenします。

02/26/09 19:01:21 changed by kiwa

  • owner changed from kiwa to tietew.
  • status changed from reopened to new.

02/26/09 19:01:26 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.